#include "main.h"

void displayItem(int tabReference[], float weight[], float volume[], float unitPrice[], int tlog)
{
	/*
	Affichage des données d'un article choisi par sa référence sous forme:
	référence	poids	volume	prix
	Avec la référence unique du produit, le poids du produit, le volume du produit et son prix à l'unité.

	+param tabReference: tableau des références des articles
	+param weight: 		 tableau des poids des articles
	+param volume: 		 tableau des volumes des articles
	+param unitPrice: 	 tableau des prix à l'unité des articles
	+param tlog: 		 taille logique des tableaux des articles

	+var reference: référence de l'article recherché
	+var index: 	index de l'article recherché dans le tableau
	*/
	int reference, index;
	printf("Entrez la référence de l'article cherché: ");
	scanf("%d", &reference);
	while (reference < 0)
	{
		printf("Erreur, la référence doit être positive, entrez la référence de l'article cherché: ");
		scanf("%d", &reference);
	}
	index = recherche(reference, tabReference, tlog);
	if (index == -1)
	{
		printf("La référence cherchée n'existe pas");
		exit(1);
	}
	printf("%d\t%f\t%f\t%f", tabReference[index], weight[index], volume[index], unitPrice[index]);
}

void displayItemList(int reference[], float weight[], float volume[], float unitPrice[], int tlog)
{
	/*
	Affichage de la liste des articles, un article par ligne, sous forme:
	référence	poids	volume	prix
	Avec la référence unique du produit, le poids du produit, le volume du produit et son prix à l'unité.

	+param reference: tableau des références des articles
	+param weight: 	  tableau des poids des articles
	+param volume: 	  tableau des volumes des articles
	+param unitPrice: tableau des prix à l'unité des articles
	+param tlog: 	  taille logique des tableaux des articles

	+var i: compteur servant à parcourir les données des tableaux jusqu'à leur taille logique
	*/
	int i;
	printf("reference\tpoids\tvolume\tprix");
	for (i=0; i<tlog; i++)
	{
		printf("%d\t%f\t%f\t%f", reference[i], weight[i], volume[i], unitPrice[i]);
	}
}

void displayClient(int clientID[], float cagnotte[], int suspended[], int tlog)
{
	/*
	Affichage des données d'un client choisi par son identifiant sous forme:
	identifiant		cagnotte	suspended
	avec l'identifiant du client cherché, le montant de sa cagnotte et l'état de son compte

	+param clientID:  tableau des identifiants des clients
	+param cagnotte:  tableau des cagnottes des clients
	+param suspended: tableau de l'état du compte des clients
	+param tlog:	  taille logique des tableaux des clients

	+var id: 	identifiant du client recherché	
	+var index: index de l'article recherché dans le tableau
	*/
	int id, index;
	printf("Entrez le numéro du client cherché: ");
	scanf("%d", &id);
	while (id < 0)
	{
		printf("Erreur, le numéro du client doit être positif, entrez le numéro du client cherché: ");
		scanf("%d", &id);
	}
	index = recherche(id, clientID, tlog);
	if (index == -1)
	{
		printf("Le client cherché n'existe pas");
		exit(1);
	}
	printf("%d\t%f\t%d", clientID[index], cagnotte[index], suspended[index]);
}

void displayClientList(int clientID[], float cagnotte[], int suspended[], int tlog)
{
	/*
	Affichage de la liste des clients, un client par ligne, sous forme:
	identifiant		cagnotte	suspended
	avec l'identifiant du client cherché, le montant de sa cagnotte et l'état de son compte

	+param clientID:  tableau des identifiants des clients
	+param cagnotte:  tableau des cagnottes des clients
	+param suspended: tableau de l'état du compte des clients
	+param tlog:	  taille logique des tableaux des clients

	+var i: compteur servant à parcourir les données des tableaux jusqu'à leur taille logique
	*/
	int i;
	printf("num Client\tcagnotte\tsuspended");
	for (i=0; i<tlog; i++)
	{
		printf("%d\t%f\t%d", clientID[i], cagnotte[i], suspended[i]);
	}
}